---
document: modulemd
version: 2
data:
  name: 389-ds
  stream: "1.4"
  version: 20211225101002
  context: 39478610
  arch: i686
  summary: 389 Directory Server (base)
  description: >-
    389 Directory Server is an LDAPv3 compliant server.  The base package includes
    the LDAP server and command line utilities for server administration.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      llvm-toolset: [rhel8]
      nodejs: [10]
      platform: [el8]
      rust-toolset: [rhel8]
    requires:
      platform: [el8]
  filter:
    rpms:
    - cockpit-389-ds
  components:
    rpms:
      389-ds-base:
        rationale: Package in api
        ref: stream-1.4-rhel-8.5.0
        arches: [aarch64, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - cockpit-389-ds-0:1.4.3.23-14.module+el8.5.0+14377+c731dc97.noarch
    - python3-lib389-0:1.4.3.23-14.module+el8.5.0+14377+c731dc97.noarch
...
---
document: modulemd
version: 2
data:
  name: freeradius
  stream: "3.0"
  version: 20211225101400
  context: 9e6802f9
  arch: i686
  summary: High-performance and highly configurable free RADIUS server
  description: >-
    The FreeRADIUS Server Project is a high performance and highly configurable GPL'd
    free RADIUS server. The server is similar in some respects to Livingston's 2.0
    server.  While FreeRADIUS started as a variant of the Cistron RADIUS server, they
    don't share a lot in common any more. It now has many more features than Cistron
    or Livingston, and is much more configurable.

    FreeRADIUS is an Internet authentication daemon, which implements the RADIUS protocol,
    as defined in RFC 2865 (and others). It allows Network Access Servers (NAS boxes)
    to perform authentication for dial-up users. There are also RADIUS clients available
    for Web servers, firewalls, Unix logins, and more.  Using RADIUS allows authentication
    and authorization for a network to be centralized, and minimizes the amount of
    re-configuration which has to be done when adding or deleting new users.
  license:
    module:
    - GPL
  dependencies:
  - buildrequires:
      perl: [5.26]
      platform: [el8]
    requires:
      perl: [5.26]
      platform: [el8]
  profiles:
    server:
      description: The FreeRADIUS Server
      rpms:
      - freeradius
  api:
    rpms:
    - freeradius
    - freeradius-devel
    - freeradius-doc
    - freeradius-krb5
    - freeradius-ldap
    - freeradius-mysql
    - freeradius-perl
    - freeradius-postgresql
    - freeradius-rest
    - freeradius-sqlite
    - freeradius-unixODBC
    - freeradius-utils
  components:
    rpms:
      freeradius:
        rationale: Provides the FreeRADIUS server
        ref: stream-3.0-rhel-8.5.0
        buildorder: 10
  artifacts:
    rpms:
    - freeradius-0:3.0.20-10.module+el8.5.0+13440+b1b7f3c7.i686
    - freeradius-devel-0:3.0.20-10.module+el8.5.0+13440+b1b7f3c7.i686
    - freeradius-doc-0:3.0.20-10.module+el8.5.0+13440+b1b7f3c7.i686
    - freeradius-krb5-0:3.0.20-10.module+el8.5.0+13440+b1b7f3c7.i686
    - freeradius-ldap-0:3.0.20-10.module+el8.5.0+13440+b1b7f3c7.i686
    - freeradius-mysql-0:3.0.20-10.module+el8.5.0+13440+b1b7f3c7.i686
    - freeradius-perl-0:3.0.20-10.module+el8.5.0+13440+b1b7f3c7.i686
    - freeradius-postgresql-0:3.0.20-10.module+el8.5.0+13440+b1b7f3c7.i686
    - freeradius-rest-0:3.0.20-10.module+el8.5.0+13440+b1b7f3c7.i686
    - freeradius-sqlite-0:3.0.20-10.module+el8.5.0+13440+b1b7f3c7.i686
    - freeradius-unixODBC-0:3.0.20-10.module+el8.5.0+13440+b1b7f3c7.i686
    - freeradius-utils-0:3.0.20-10.module+el8.5.0+13440+b1b7f3c7.i686
    - python3-freeradius-0:3.0.20-10.module+el8.5.0+13440+b1b7f3c7.i686
...
---
document: modulemd
version: 2
data:
  name: freeradius
  stream: "3.0"
  version: 20220203115830
  context: 9e6802f9
  arch: i686
  summary: High-performance and highly configurable free RADIUS server
  description: >-
    The FreeRADIUS Server Project is a high performance and highly configurable GPL'd
    free RADIUS server. The server is similar in some respects to Livingston's 2.0
    server.  While FreeRADIUS started as a variant of the Cistron RADIUS server, they
    don't share a lot in common any more. It now has many more features than Cistron
    or Livingston, and is much more configurable.

    FreeRADIUS is an Internet authentication daemon, which implements the RADIUS protocol,
    as defined in RFC 2865 (and others). It allows Network Access Servers (NAS boxes)
    to perform authentication for dial-up users. There are also RADIUS clients available
    for Web servers, firewalls, Unix logins, and more.  Using RADIUS allows authentication
    and authorization for a network to be centralized, and minimizes the amount of
    re-configuration which has to be done when adding or deleting new users.
  license:
    module:
    - GPL
  dependencies:
  - buildrequires:
      perl: [5.26]
      platform: [el8]
    requires:
      perl: [5.26]
      platform: [el8]
  profiles:
    server:
      description: The FreeRADIUS Server
      rpms:
      - freeradius
  api:
    rpms:
    - freeradius
    - freeradius-devel
    - freeradius-doc
    - freeradius-krb5
    - freeradius-ldap
    - freeradius-mysql
    - freeradius-perl
    - freeradius-postgresql
    - freeradius-rest
    - freeradius-sqlite
    - freeradius-unixODBC
    - freeradius-utils
  components:
    rpms:
      freeradius:
        rationale: Provides the FreeRADIUS server
        ref: stream-3.0-rhel-8.5.0
        buildorder: 10
  artifacts:
    rpms:
    - freeradius-0:3.0.20-11.module+el8.5.0+13640+a9514344.i686
    - freeradius-devel-0:3.0.20-11.module+el8.5.0+13640+a9514344.i686
    - freeradius-doc-0:3.0.20-11.module+el8.5.0+13640+a9514344.i686
    - freeradius-krb5-0:3.0.20-11.module+el8.5.0+13640+a9514344.i686
    - freeradius-ldap-0:3.0.20-11.module+el8.5.0+13640+a9514344.i686
    - freeradius-mysql-0:3.0.20-11.module+el8.5.0+13640+a9514344.i686
    - freeradius-perl-0:3.0.20-11.module+el8.5.0+13640+a9514344.i686
    - freeradius-postgresql-0:3.0.20-11.module+el8.5.0+13640+a9514344.i686
    - freeradius-rest-0:3.0.20-11.module+el8.5.0+13640+a9514344.i686
    - freeradius-sqlite-0:3.0.20-11.module+el8.5.0+13640+a9514344.i686
    - freeradius-unixODBC-0:3.0.20-11.module+el8.5.0+13640+a9514344.i686
    - freeradius-utils-0:3.0.20-11.module+el8.5.0+13640+a9514344.i686
    - python3-freeradius-0:3.0.20-11.module+el8.5.0+13640+a9514344.i686
...
---
document: modulemd
version: 2
data:
  name: httpd
  stream: "2.4"
  version: 20220128093640
  context: c56d11ed
  arch: i686
  summary: Apache HTTP Server
  description: >-
    Apache httpd is a powerful, efficient, and extensible HTTP server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    documentation: https://httpd.apache.org/docs/2.4/
    tracker: https://bz.apache.org/bugzilla/
  profiles:
    common:
      rpms:
      - httpd
      - httpd-filesystem
      - httpd-tools
      - mod_http2
      - mod_ssl
    devel:
      rpms:
      - httpd
      - httpd-devel
      - httpd-filesystem
      - httpd-tools
    minimal:
      rpms:
      - httpd
  api:
    rpms:
    - httpd
    - httpd-devel
    - httpd-filesystem
    - mod_ssl
  components:
    rpms:
      httpd:
        rationale: Apache httpd
        ref: stream-2.4-rhel-8.5.0
        buildorder: 10
      mod_http2:
        rationale: HTTP/2 support for Apache httpd
        ref: stream-2.4-rhel-8.5.0
        buildorder: 20
      mod_md:
        rationale: Certificate provisioning using ACME for Apache httpd
        ref: stream-2.4-rhel-8.5.0
        buildorder: 20
  artifacts:
    rpms:
    - httpd-0:2.4.37-43.module+el8.5.0+13806+b30d9eec.1.i686
    - httpd-devel-0:2.4.37-43.module+el8.5.0+13806+b30d9eec.1.i686
    - httpd-filesystem-0:2.4.37-43.module+el8.5.0+13806+b30d9eec.1.noarch
    - httpd-manual-0:2.4.37-43.module+el8.5.0+13806+b30d9eec.1.noarch
    - httpd-tools-0:2.4.37-43.module+el8.5.0+13806+b30d9eec.1.i686
    - mod_ldap-0:2.4.37-43.module+el8.5.0+13806+b30d9eec.1.i686
    - mod_proxy_html-1:2.4.37-43.module+el8.5.0+13806+b30d9eec.1.i686
    - mod_session-0:2.4.37-43.module+el8.5.0+13806+b30d9eec.1.i686
    - mod_ssl-1:2.4.37-43.module+el8.5.0+13806+b30d9eec.1.i686
...
---
document: modulemd
version: 2
data:
  name: httpd
  stream: "2.4"
  version: 20220315201831
  context: c56d11ed
  arch: i686
  summary: Apache HTTP Server
  description: >-
    Apache httpd is a powerful, efficient, and extensible HTTP server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    documentation: https://httpd.apache.org/docs/2.4/
    tracker: https://bz.apache.org/bugzilla/
  profiles:
    common:
      rpms:
      - httpd
      - httpd-filesystem
      - httpd-tools
      - mod_http2
      - mod_ssl
    devel:
      rpms:
      - httpd
      - httpd-devel
      - httpd-filesystem
      - httpd-tools
    minimal:
      rpms:
      - httpd
  api:
    rpms:
    - httpd
    - httpd-devel
    - httpd-filesystem
    - mod_ssl
  components:
    rpms:
      httpd:
        rationale: Apache httpd
        ref: stream-2.4-rhel-8.5.0
        buildorder: 10
      mod_http2:
        rationale: HTTP/2 support for Apache httpd
        ref: stream-2.4-rhel-8.5.0
        buildorder: 20
      mod_md:
        rationale: Certificate provisioning using ACME for Apache httpd
        ref: stream-2.4-rhel-8.5.0
        buildorder: 20
  artifacts:
    rpms:
    - httpd-0:2.4.37-43.module+el8.5.0+14370+51c6d843.2.i686
    - httpd-devel-0:2.4.37-43.module+el8.5.0+14370+51c6d843.2.i686
    - httpd-filesystem-0:2.4.37-43.module+el8.5.0+14370+51c6d843.2.noarch
    - httpd-manual-0:2.4.37-43.module+el8.5.0+14370+51c6d843.2.noarch
    - httpd-tools-0:2.4.37-43.module+el8.5.0+14370+51c6d843.2.i686
    - mod_ldap-0:2.4.37-43.module+el8.5.0+14370+51c6d843.2.i686
    - mod_proxy_html-1:2.4.37-43.module+el8.5.0+14370+51c6d843.2.i686
    - mod_session-0:2.4.37-43.module+el8.5.0+14370+51c6d843.2.i686
    - mod_ssl-1:2.4.37-43.module+el8.5.0+14370+51c6d843.2.i686
...
---
document: modulemd
version: 2
data:
  name: httpd
  stream: "2.4"
  version: 20220324213004
  context: c56d11ed
  arch: i686
  summary: Apache HTTP Server
  description: >-
    Apache httpd is a powerful, efficient, and extensible HTTP server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    documentation: https://httpd.apache.org/docs/2.4/
    tracker: https://bz.apache.org/bugzilla/
  profiles:
    common:
      rpms:
      - httpd
      - httpd-filesystem
      - httpd-tools
      - mod_http2
      - mod_ssl
    devel:
      rpms:
      - httpd
      - httpd-devel
      - httpd-filesystem
      - httpd-tools
    minimal:
      rpms:
      - httpd
  api:
    rpms:
    - httpd
    - httpd-devel
    - httpd-filesystem
    - mod_ssl
  components:
    rpms:
      httpd:
        rationale: Apache httpd
        ref: stream-2.4-rhel-8.5.0
        buildorder: 10
      mod_http2:
        rationale: HTTP/2 support for Apache httpd
        ref: stream-2.4-rhel-8.5.0
        buildorder: 20
      mod_md:
        rationale: Certificate provisioning using ACME for Apache httpd
        ref: stream-2.4-rhel-8.5.0
        buildorder: 20
  artifacts:
    rpms:
    - httpd-0:2.4.37-43.module+el8.5.0+14530+6f259f31.3.i686
    - httpd-devel-0:2.4.37-43.module+el8.5.0+14530+6f259f31.3.i686
    - httpd-filesystem-0:2.4.37-43.module+el8.5.0+14530+6f259f31.3.noarch
    - httpd-manual-0:2.4.37-43.module+el8.5.0+14530+6f259f31.3.noarch
    - httpd-tools-0:2.4.37-43.module+el8.5.0+14530+6f259f31.3.i686
    - mod_ldap-0:2.4.37-43.module+el8.5.0+14530+6f259f31.3.i686
    - mod_proxy_html-1:2.4.37-43.module+el8.5.0+14530+6f259f31.3.i686
    - mod_session-0:2.4.37-43.module+el8.5.0+14530+6f259f31.3.i686
    - mod_ssl-1:2.4.37-43.module+el8.5.0+14530+6f259f31.3.i686
...
---
document: modulemd
version: 2
data:
  name: idm
  stream: "DL1"
  version: 20211217095642
  context: 0a2c2afe
  arch: i686
  summary: The Red Hat Enterprise Linux Identity Management system module
  description: >-
    RHEL IdM is an integrated solution to provide centrally managed Identity (users,
    hosts, services), Authentication (SSO, 2FA), and Authorization (host access control,
    SELinux user roles, services). The solution provides features for further integration
    with Linux based clients (SUDO, automount) and integration with Active Directory
    based infrastructures (Trusts).
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      389-ds: [1.4]
      httpd: [2.4]
      pki-core: [10.6]
      platform: [el8]
    requires:
      389-ds: [1.4]
      httpd: [2.4]
      pki-core: [10.6]
      platform: [el8]
  references:
    community: https://www.freeipa.org/
    documentation: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/linux_domain_identity_authentication_and_policy_guide/index
    tracker: https://pagure.io/freeipa/issues
  profiles:
    adtrust:
      description: RHEL IdM Server Integration with Active Directory
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server-trust-ad
    client:
      description: RHEL IdM Client
      rpms:
      - ipa-client
    common:
      description: A default profile for RHEL IdM client
      rpms:
      - ipa-client
    dns:
      description: RHEL IdM with integrated DNS server and integrated CA
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server
      - ipa-server-dns
    server:
      description: Base RHEL IdM Server with integrated CA and no integrated DNS
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server
  components:
    rpms:
      bind-dyndb-ldap:
        rationale: Driver for BIND to store DNS information in LDAP
        ref: stream-idm-DL1-rhel-8.5.0
      custodia:
        rationale: Remote access to secrets and credentials in IdM topology
        ref: stream-idm-DL1-rhel-8.5.0
        buildorder: 2
      ipa:
        rationale: Module API
        ref: stream-idm-DL1-rhel-8.5.0
      ipa-healthcheck:
        rationale: A tool to detect issues in IdM clusters
        ref: stream-DL1-rhel-8.5.0
        buildorder: 3
      opendnssec:
        rationale: An implementation of DNSSEC support for IdM integrated DNS server
        ref: stream-idm-DL1-rhel-8.5.0
      python-jwcrypto:
        rationale: JSON Web Cryptographic Tokens used by Custodia
        ref: stream-idm-DL1-rhel-8.5.0
        buildorder: 1
      python-kdcproxy:
        rationale: MS-KKDCP (kerberos proxy) WSGI module
        ref: stream-idm-DL1-rhel-8.5.0
      python-qrcode:
        rationale: QR code generator for IdM two-factor authentication
        ref: stream-idm-DL1-rhel-8.5.0
      python-yubico:
        rationale: Support for Yubikey-based tokens for IdM two-factor authentication
        ref: stream-idm-DL1-rhel-8.5.0
        buildorder: 2
      pyusb:
        rationale: Python USB support to access USB tokens for IdM two-factor authentication
        ref: stream-idm-DL1-rhel-8.5.0
        buildorder: 1
      slapi-nis:
        rationale: Compatibility plugin to serve legacy clients
        ref: stream-idm-DL1-rhel-8.5.0
        arches: [aarch64, ppc64le, s390x, x86_64]
      softhsm:
        rationale: Software version of a PKCS#11 Hardware Security Module
        ref: stream-idm-DL1-rhel-8.5.0
  artifacts:
    rpms:
    - bind-dyndb-ldap-0:11.6-2.module+el8.4.0+9328+4ec4e316.i686
    - custodia-0:0.6.0-3.module+el8.1.0+4098+f286395e.noarch
    - ipa-client-0:4.9.6-6.module+el8.5.0+12660+88e16a2c.i686
    - ipa-client-common-0:4.9.6-10.module+el8.5.0+13587+92118e57.noarch
    - ipa-client-epn-0:4.9.6-6.module+el8.5.0+12660+88e16a2c.i686
    - ipa-client-samba-0:4.9.6-6.module+el8.5.0+12660+88e16a2c.i686
    - ipa-common-0:4.9.6-10.module+el8.5.0+13587+92118e57.noarch
    - ipa-healthcheck-0:0.7-6.module+el8.5.0+11410+91a33fe4.noarch
    - ipa-healthcheck-core-0:0.7-6.module+el8.5.0+11410+91a33fe4.noarch
    - ipa-python-compat-0:4.9.6-10.module+el8.5.0+13587+92118e57.noarch
    - ipa-selinux-0:4.9.6-10.module+el8.5.0+13587+92118e57.noarch
    - ipa-server-common-0:4.9.6-10.module+el8.5.0+13587+92118e57.noarch
    - ipa-server-dns-0:4.9.6-10.module+el8.5.0+13587+92118e57.noarch
    - opendnssec-0:2.1.7-1.module+el8.4.0+9007+5084bdd8.i686
    - python3-custodia-0:0.6.0-3.module+el8.1.0+4098+f286395e.noarch
    - python3-ipaclient-0:4.9.6-10.module+el8.5.0+13587+92118e57.noarch
    - python3-ipalib-0:4.9.6-10.module+el8.5.0+13587+92118e57.noarch
    - python3-ipaserver-0:4.9.6-10.module+el8.5.0+13587+92118e57.noarch
    - python3-ipatests-0:4.9.6-10.module+el8.5.0+13587+92118e57.noarch
    - python3-jwcrypto-0:0.5.0-1.module+el8.1.0+4098+f286395e.noarch
    - python3-kdcproxy-0:0.4-5.module+el8.2.0+4691+a05b2456.noarch
    - python3-pyusb-0:1.0.0-9.module+el8.1.0+4098+f286395e.noarch
    - python3-qrcode-0:5.1-12.module+el8.1.0+4098+f286395e.noarch
    - python3-qrcode-core-0:5.1-12.module+el8.1.0+4098+f286395e.noarch
    - python3-yubico-0:1.3.2-9.module+el8.1.0+4098+f286395e.noarch
    - softhsm-0:2.6.0-5.module+el8.4.0+10227+076cd560.i686
    - softhsm-devel-0:2.6.0-5.module+el8.4.0+10227+076cd560.i686
...
---
document: modulemd
version: 2
data:
  name: idm
  stream: "DL1"
  version: 20220428223512
  context: 0a2c2afe
  arch: i686
  summary: The Red Hat Enterprise Linux Identity Management system module
  description: >-
    RHEL IdM is an integrated solution to provide centrally managed Identity (users,
    hosts, services), Authentication (SSO, 2FA), and Authorization (host access control,
    SELinux user roles, services). The solution provides features for further integration
    with Linux based clients (SUDO, automount) and integration with Active Directory
    based infrastructures (Trusts).
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      389-ds: [1.4]
      httpd: [2.4]
      pki-core: [10.6]
      platform: [el8]
    requires:
      389-ds: [1.4]
      httpd: [2.4]
      pki-core: [10.6]
      platform: [el8]
  references:
    community: https://www.freeipa.org/
    documentation: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/linux_domain_identity_authentication_and_policy_guide/index
    tracker: https://pagure.io/freeipa/issues
  profiles:
    adtrust:
      description: RHEL IdM Server Integration with Active Directory
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server-trust-ad
    client:
      description: RHEL IdM Client
      rpms:
      - ipa-client
    common:
      description: A default profile for RHEL IdM client
      rpms:
      - ipa-client
    dns:
      description: RHEL IdM with integrated DNS server and integrated CA
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server
      - ipa-server-dns
    server:
      description: Base RHEL IdM Server with integrated CA and no integrated DNS
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server
  components:
    rpms:
      bind-dyndb-ldap:
        rationale: Driver for BIND to store DNS information in LDAP
        ref: stream-idm-DL1-rhel-8.5.0
      custodia:
        rationale: Remote access to secrets and credentials in IdM topology
        ref: stream-idm-DL1-rhel-8.5.0
        buildorder: 2
      ipa:
        rationale: Module API
        ref: stream-idm-DL1-rhel-8.5.0
      ipa-healthcheck:
        rationale: A tool to detect issues in IdM clusters
        ref: stream-DL1-rhel-8.5.0
        buildorder: 3
      opendnssec:
        rationale: An implementation of DNSSEC support for IdM integrated DNS server
        ref: stream-idm-DL1-rhel-8.5.0
      python-jwcrypto:
        rationale: JSON Web Cryptographic Tokens used by Custodia
        ref: stream-idm-DL1-rhel-8.5.0
        buildorder: 1
      python-kdcproxy:
        rationale: MS-KKDCP (kerberos proxy) WSGI module
        ref: stream-idm-DL1-rhel-8.5.0
      python-qrcode:
        rationale: QR code generator for IdM two-factor authentication
        ref: stream-idm-DL1-rhel-8.5.0
      python-yubico:
        rationale: Support for Yubikey-based tokens for IdM two-factor authentication
        ref: stream-idm-DL1-rhel-8.5.0
        buildorder: 2
      pyusb:
        rationale: Python USB support to access USB tokens for IdM two-factor authentication
        ref: stream-idm-DL1-rhel-8.5.0
        buildorder: 1
      slapi-nis:
        rationale: Compatibility plugin to serve legacy clients
        ref: stream-idm-DL1-rhel-8.5.0
        arches: [aarch64, ppc64le, s390x, x86_64]
      softhsm:
        rationale: Software version of a PKCS#11 Hardware Security Module
        ref: stream-idm-DL1-rhel-8.5.0
  artifacts:
    rpms:
    - bind-dyndb-ldap-0:11.6-2.module+el8.4.0+9328+4ec4e316.i686
    - custodia-0:0.6.0-3.module+el8.1.0+4098+f286395e.noarch
    - ipa-client-0:4.9.6-6.module+el8.5.0+12660+88e16a2c.i686
    - ipa-client-common-0:4.9.6-12.module+el8.5.0+14525+2137cc8f.noarch
    - ipa-client-epn-0:4.9.6-6.module+el8.5.0+12660+88e16a2c.i686
    - ipa-client-samba-0:4.9.6-6.module+el8.5.0+12660+88e16a2c.i686
    - ipa-common-0:4.9.6-12.module+el8.5.0+14525+2137cc8f.noarch
    - ipa-healthcheck-0:0.7-6.module+el8.5.0+11410+91a33fe4.noarch
    - ipa-healthcheck-core-0:0.7-6.module+el8.5.0+11410+91a33fe4.noarch
    - ipa-python-compat-0:4.9.6-12.module+el8.5.0+14525+2137cc8f.noarch
    - ipa-selinux-0:4.9.6-12.module+el8.5.0+14525+2137cc8f.noarch
    - ipa-server-common-0:4.9.6-12.module+el8.5.0+14525+2137cc8f.noarch
    - ipa-server-dns-0:4.9.6-12.module+el8.5.0+14525+2137cc8f.noarch
    - opendnssec-0:2.1.7-1.module+el8.4.0+9007+5084bdd8.i686
    - python3-custodia-0:0.6.0-3.module+el8.1.0+4098+f286395e.noarch
    - python3-ipaclient-0:4.9.6-12.module+el8.5.0+14525+2137cc8f.noarch
    - python3-ipalib-0:4.9.6-12.module+el8.5.0+14525+2137cc8f.noarch
    - python3-ipaserver-0:4.9.6-12.module+el8.5.0+14525+2137cc8f.noarch
    - python3-ipatests-0:4.9.6-12.module+el8.5.0+14525+2137cc8f.noarch
    - python3-jwcrypto-0:0.5.0-1.module+el8.1.0+4098+f286395e.noarch
    - python3-kdcproxy-0:0.4-5.module+el8.2.0+4691+a05b2456.noarch
    - python3-pyusb-0:1.0.0-9.module+el8.1.0+4098+f286395e.noarch
    - python3-qrcode-0:5.1-12.module+el8.1.0+4098+f286395e.noarch
    - python3-qrcode-core-0:5.1-12.module+el8.1.0+4098+f286395e.noarch
    - python3-yubico-0:1.3.2-9.module+el8.1.0+4098+f286395e.noarch
    - softhsm-0:2.6.0-5.module+el8.4.0+10227+076cd560.i686
    - softhsm-devel-0:2.6.0-5.module+el8.4.0+10227+076cd560.i686
...
---
document: modulemd
version: 2
data:
  name: idm
  stream: "client"
  version: 20220428224040
  context: 66f481db
  arch: i686
  summary: RHEL IdM long term support client module
  description: >-
    RHEL IdM is an integrated solution to provide centrally managed Identity (users,
    hosts, services), Authentication (SSO, 2FA), and Authorization (host access control,
    SELinux user roles, services). The solution provides features for further integration
    with Linux based clients (SUDO, automount) and integration with Active Directory
    based infrastructures (Trusts).

    This module stream supports only client side of RHEL IdM solution
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      389-ds: [1.4]
      httpd: [2.4]
      pki-core: [10.6]
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: https://www.freeipa.org/
    documentation: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/linux_domain_identity_authentication_and_policy_guide/index
    tracker: https://pagure.io/freeipa/issues
  profiles:
    common:
      description: A default profile for RHEL IdM client
      rpms:
      - ipa-client
  api:
    rpms:
    - ipa-client
    - ipa-client-common
    - ipa-client-debuginfo
    - ipa-common
    - ipa-debuginfo
    - ipa-debugsource
    - ipa-healthcheck-core
    - ipa-python-compat
    - python3-ipaclient
    - python3-ipalib
    - python3-jwcrypto
    - python3-pyusb
    - python3-qrcode
    - python3-qrcode-core
    - python3-yubico
  filter:
    rpms:
    - bind-dyndb-ldap
    - bind-dyndb-ldap-debuginfo
    - bind-dyndb-ldap-debugsource
    - custodia
    - ipa-healthcheck
    - ipa-server
    - ipa-server-common
    - ipa-server-debuginfo
    - ipa-server-dns
    - ipa-server-trust-ad
    - ipa-server-trust-ad-debuginfo
    - opendnssec
    - opendnssec-debuginfo
    - opendnssec-debugsource
    - python3-custodia
    - python3-ipaserver
    - python3-ipatests
    - slapi-nis
    - slapi-nis-debuginfo
    - slapi-nis-debugsource
    - softhsm
    - softhsm-debuginfo
    - softhsm-debugsource
    - softhsm-devel
  components:
    rpms:
      bind-dyndb-ldap:
        rationale: Driver for BIND to store DNS information in LDAP
        ref: stream-idm-DL1-rhel-8.5.0
      custodia:
        rationale: Remote access to secrets and credentials in IdM topology
        ref: stream-idm-DL1-rhel-8.5.0
        buildorder: 2
      ipa:
        rationale: Module API
        ref: stream-idm-DL1-rhel-8.5.0
      ipa-healthcheck:
        rationale: A tool to detect issues in IdM clusters
        ref: stream-DL1-rhel-8.5.0
        buildorder: 3
      opendnssec:
        rationale: An implementation of DNSSEC support for IdM integrated DNS server
        ref: stream-idm-DL1-rhel-8.5.0
      python-jwcrypto:
        rationale: JSON Web Cryptographic Tokens used by Custodia
        ref: stream-idm-DL1-rhel-8.5.0
        buildorder: 1
      python-qrcode:
        rationale: QR code generator for IdM two-factor authentication
        ref: stream-idm-DL1-rhel-8.5.0
      python-yubico:
        rationale: Support for Yubikey-based tokens for IdM two-factor authentication
        ref: stream-idm-DL1-rhel-8.5.0
        buildorder: 2
      pyusb:
        rationale: Python USB support to access USB tokens for IdM two-factor authentication
        ref: stream-idm-DL1-rhel-8.5.0
        buildorder: 1
      slapi-nis:
        rationale: Compatibility plugin to serve legacy clients
        ref: stream-idm-DL1-rhel-8.5.0
        arches: [aarch64, ppc64le, s390x, x86_64]
      softhsm:
        rationale: Software version of a PKCS#11 Hardware Security Module
        ref: stream-idm-DL1-rhel-8.5.0
  artifacts:
    rpms:
    - bind-dyndb-ldap-0:11.6-2.module+el8.4.0+9329+e88ed9b4.i686
    - custodia-0:0.6.0-3.module+el8.1.0+4107+4a66eb87.noarch
    - ipa-client-0:4.9.6-6.module+el8.5.0+12661+bab6f12d.i686
    - ipa-client-common-0:4.9.6-12.module+el8.5.0+14526+983b221b.noarch
    - ipa-client-epn-0:4.9.6-6.module+el8.5.0+12661+bab6f12d.i686
    - ipa-client-samba-0:4.9.6-6.module+el8.5.0+12661+bab6f12d.i686
    - ipa-common-0:4.9.6-12.module+el8.5.0+14526+983b221b.noarch
    - ipa-healthcheck-core-0:0.7-6.module+el8.5.0+11411+d272e903.noarch
    - ipa-python-compat-0:4.9.6-12.module+el8.5.0+14526+983b221b.noarch
    - ipa-selinux-0:4.9.6-12.module+el8.5.0+14526+983b221b.noarch
    - opendnssec-0:2.1.7-1.module+el8.4.0+9008+94c5103b.i686
    - python3-custodia-0:0.6.0-3.module+el8.1.0+4107+4a66eb87.noarch
    - python3-ipaclient-0:4.9.6-12.module+el8.5.0+14526+983b221b.noarch
    - python3-ipalib-0:4.9.6-12.module+el8.5.0+14526+983b221b.noarch
    - python3-jwcrypto-0:0.5.0-1.module+el8.1.0+4107+4a66eb87.noarch
    - python3-pyusb-0:1.0.0-9.module+el8.1.0+4107+4a66eb87.noarch
    - python3-qrcode-0:5.1-12.module+el8.1.0+4107+4a66eb87.noarch
    - python3-qrcode-core-0:5.1-12.module+el8.1.0+4107+4a66eb87.noarch
    - python3-yubico-0:1.3.2-9.module+el8.1.0+4107+4a66eb87.noarch
    - softhsm-0:2.6.0-5.module+el8.4.0+10228+192bf5af.i686
    - softhsm-devel-0:2.6.0-5.module+el8.4.0+10228+192bf5af.i686
...
---
document: modulemd
version: 2
data:
  name: llvm-toolset
  stream: "rhel8"
  version: 20211129215706
  context: c56d11ed
  arch: i686
  summary: LLVM
  description: >-
    LLVM Tools and libraries
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  profiles:
    common:
      rpms:
      - llvm-toolset
  api:
    rpms:
    - clang
    - clang-analyzer
    - clang-devel
    - clang-libs
    - clang-tools-extra
    - git-clang-format
    - lld
    - lld-libs
    - lldb
    - lldb-devel
    - llvm
    - llvm-devel
    - llvm-libs
  components:
    rpms:
      clang:
        rationale: clang tools and libraries
        ref: stream-rhel-8-rhel-8.5.0
        buildorder: 1
        multilib: [x86_64]
      compiler-rt:
        rationale: LLVM compiler intrinsic and sanitizer libraries
        ref: stream-rhel-8-rhel-8.5.0
        buildorder: 1
        multilib: [x86_64]
      libomp:
        rationale: LLVM OpenMP runtime
        ref: stream-rhel-8-rhel-8.5.0
        multilib: [x86_64]
      lld:
        rationale: LLVM linker
        ref: stream-rhel-8-rhel-8.5.0
        buildorder: 1
        multilib: [x86_64]
      lldb:
        rationale: lldb debugger
        ref: stream-rhel-8-rhel-8.5.0
        buildorder: 2
        multilib: [x86_64]
      llvm:
        rationale: LLVM tools and libraries
        ref: stream-rhel-8-rhel-8.5.0
        multilib: [x86_64]
      llvm-toolset:
        rationale: Meta package for llvm-toolset providing scl enable scripts.
        ref: stream-rhel-8-rhel-8.5.0
        multilib: [x86_64]
      python-lit:
        rationale: Lit test runner for LLVM
        ref: stream-rhel-8-rhel-8.5.0
  artifacts:
    rpms:
    - clang-0:12.0.1-4.module+el8.5.0+13246+cefb5d4c.i686
    - clang-analyzer-0:12.0.1-4.module+el8.5.0+13246+cefb5d4c.noarch
    - clang-devel-0:12.0.1-4.module+el8.5.0+13246+cefb5d4c.i686
    - clang-libs-0:12.0.1-4.module+el8.5.0+13246+cefb5d4c.i686
    - clang-resource-filesystem-0:12.0.1-4.module+el8.5.0+13246+cefb5d4c.i686
    - clang-tools-extra-0:12.0.1-4.module+el8.5.0+13246+cefb5d4c.i686
    - compiler-rt-0:12.0.1-1.module+el8.5.0+11871+08d0eab5.i686
    - git-clang-format-0:12.0.1-4.module+el8.5.0+13246+cefb5d4c.i686
    - libomp-0:12.0.1-1.module+el8.5.0+11871+08d0eab5.i686
    - libomp-devel-0:12.0.1-1.module+el8.5.0+11871+08d0eab5.i686
    - libomp-test-0:12.0.1-1.module+el8.5.0+11871+08d0eab5.i686
    - lld-0:12.0.1-1.module+el8.5.0+11871+08d0eab5.i686
    - lld-devel-0:12.0.1-1.module+el8.5.0+11871+08d0eab5.i686
    - lld-libs-0:12.0.1-1.module+el8.5.0+11871+08d0eab5.i686
    - lld-test-0:12.0.1-1.module+el8.5.0+11871+08d0eab5.i686
    - lldb-0:12.0.1-1.module+el8.5.0+11871+08d0eab5.i686
    - lldb-devel-0:12.0.1-1.module+el8.5.0+11871+08d0eab5.i686
    - llvm-0:12.0.1-2.module+el8.5.0+12488+254d2a07.i686
    - llvm-devel-0:12.0.1-2.module+el8.5.0+12488+254d2a07.i686
    - llvm-doc-0:12.0.1-2.module+el8.5.0+12488+254d2a07.noarch
    - llvm-googletest-0:12.0.1-2.module+el8.5.0+12488+254d2a07.i686
    - llvm-libs-0:12.0.1-2.module+el8.5.0+12488+254d2a07.i686
    - llvm-static-0:12.0.1-2.module+el8.5.0+12488+254d2a07.i686
    - llvm-test-0:12.0.1-2.module+el8.5.0+12488+254d2a07.i686
    - llvm-toolset-0:12.0.1-1.module+el8.5.0+11871+08d0eab5.i686
    - python3-clang-0:12.0.1-4.module+el8.5.0+13246+cefb5d4c.i686
    - python3-lit-0:12.0.1-1.module+el8.5.0+11871+08d0eab5.noarch
    - python3-lldb-0:12.0.1-1.module+el8.5.0+11871+08d0eab5.i686
...
---
document: modulemd
version: 2
data:
  name: mailman
  stream: "2.1"
  version: 20211206203050
  context: cd9658e3
  arch: i686
  summary: Electronic mail discussion and e-newsletter lists managing software
  description: >-
    An initial version of the mailman mailing list management software
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
      python27: [2.7]
    requires:
      platform: [el8]
      python27: [2.7]
  references:
    documentation: https://launchpad.net/mailman
    tracker: https://bugs.launchpad.net/mailman
  profiles:
    common:
      rpms:
      - mailman
  api:
    rpms:
    - mailman
  filter:
    rpms:
    - python3-dns
  components:
    rpms:
      mailman:
        rationale: Module API.
        ref: stream-2.1-rhel-8.5.0
        buildorder: 1
  artifacts:
    rpms:
    - mailman-3:2.1.29-12.module+el8.5.0+13466+327eb9f3.2.i686
...
---
document: modulemd
version: 2
data:
  name: mariadb
  stream: "10.3"
  version: 20220428162730
  context: c56d11ed
  arch: i686
  summary: MariaDB Module
  description: >-
    MariaDB is a community developed branch of MySQL. MariaDB is a multi-user, multi-threaded
    SQL database server. It is a client/server implementation consisting of a server
    daemon (mysqld) and many different client programs and libraries. The base package
    contains the standard MariaDB/MySQL client programs and generic MySQL files.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://mariadb.org
    documentation: https://mariadb.com/kb/en/library/documentation/
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - mariadb
    galera:
      rpms:
      - mariadb-server
      - mariadb-server-galera
    server:
      rpms:
      - mariadb-server
  api:
    rpms:
    - mariadb
    - mariadb-server
  filter:
    rpms:
    - Judy-devel
    - asio-devel
  buildopts:
    rpms:
      macros: >
        %runselftest 1

        %ignore_testsuite_result 0
  components:
    rpms:
      Judy:
        rationale: MariaDB dependency for OQgraph computation engine
        ref: stream-mariadb-10.3-rhel-8.1.0
        buildorder: 4
      asio:
        rationale: Galera dependency for asynchronous I/O operation
        ref: stream-mariadb-10.3-rhel-8.1.0
        buildorder: 12
      galera:
        rationale: Galera package for MariaDB server replication
        ref: stream-10.3-rhel-8.1.0
        buildorder: 16
      mariadb:
        rationale: MariaDB package
        ref: stream-10.3-rhel-8.1.0
        buildorder: 8
  artifacts:
    rpms:
    - Judy-0:1.0.5-18.module+el8+2765+cfa4f87b.i686
    - Judy-devel-0:1.0.5-18.module+el8+2765+cfa4f87b.i686
    - asio-devel-0:1.10.8-7.module+el8+2765+cfa4f87b.i686
    - galera-0:25.3.34-4.module+el8.5.0+14124+14ced695.i686
    - mariadb-3:10.3.32-2.module+el8.5.0+14124+14ced695.i686
    - mariadb-backup-3:10.3.32-2.module+el8.5.0+14124+14ced695.i686
    - mariadb-common-3:10.3.32-2.module+el8.5.0+14124+14ced695.i686
    - mariadb-devel-3:10.3.32-2.module+el8.5.0+14124+14ced695.i686
    - mariadb-embedded-3:10.3.32-2.module+el8.5.0+14124+14ced695.i686
    - mariadb-embedded-devel-3:10.3.32-2.module+el8.5.0+14124+14ced695.i686
    - mariadb-errmsg-3:10.3.32-2.module+el8.5.0+14124+14ced695.i686
    - mariadb-gssapi-server-3:10.3.32-2.module+el8.5.0+14124+14ced695.i686
    - mariadb-oqgraph-engine-3:10.3.32-2.module+el8.5.0+14124+14ced695.i686
    - mariadb-server-3:10.3.32-2.module+el8.5.0+14124+14ced695.i686
    - mariadb-server-galera-3:10.3.32-2.module+el8.5.0+14124+14ced695.i686
    - mariadb-server-utils-3:10.3.32-2.module+el8.5.0+14124+14ced695.i686
    - mariadb-test-3:10.3.32-2.module+el8.5.0+14124+14ced695.i686
...
---
document: modulemd
version: 2
data:
  name: mariadb
  stream: "10.5"
  version: 20220428163020
  context: c56d11ed
  arch: i686
  summary: MariaDB Module
  description: >-
    MariaDB is a community developed branch of MySQL. MariaDB is a multi-user, multi-threaded
    SQL database server. It is a client/server implementation consisting of a server
    daemon (mysqld) and many different client programs and libraries. The base package
    contains the standard MariaDB/MySQL client programs and generic MySQL files.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://mariadb.org
    documentation: https://mariadb.com/kb/en/library/documentation/
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - mariadb
    galera:
      rpms:
      - mariadb-server
      - mariadb-server-galera
    server:
      rpms:
      - mariadb-server
  api:
    rpms:
    - mariadb
    - mariadb-server
  filter:
    rpms:
    - Judy-devel
    - asio-devel
  buildopts:
    rpms:
      macros: >
        %runselftest 1

        %ignore_testsuite_result 0
  components:
    rpms:
      Judy:
        rationale: MariaDB dependency for OQgraph computation engine
        ref: stream-mariadb-10.5-rhel-8.4.0
        buildorder: 4
      asio:
        rationale: Galera dependency for asynchronous I/O operation
        ref: stream-mariadb-10.5-rhel-8.4.0
        buildorder: 12
      galera:
        rationale: Galera package for MariaDB server replication
        ref: stream-10.5-rhel-8.4.0
        buildorder: 16
      mariadb:
        rationale: MariaDB package
        ref: stream-10.5-rhel-8.4.0
        buildorder: 8
  artifacts:
    rpms:
    - Judy-0:1.0.5-18.module+el8.4.0+9031+9abc7af9.i686
    - Judy-devel-0:1.0.5-18.module+el8.4.0+9031+9abc7af9.i686
    - asio-devel-0:1.10.8-7.module+el8.4.0+9031+9abc7af9.i686
    - galera-0:26.4.9-4.module+el8.5.0+14125+d11efe18.i686
    - mariadb-3:10.5.13-1.module+el8.5.0+14125+d11efe18.i686
    - mariadb-backup-3:10.5.13-1.module+el8.5.0+14125+d11efe18.i686
    - mariadb-common-3:10.5.13-1.module+el8.5.0+14125+d11efe18.i686
    - mariadb-devel-3:10.5.13-1.module+el8.5.0+14125+d11efe18.i686
    - mariadb-embedded-3:10.5.13-1.module+el8.5.0+14125+d11efe18.i686
    - mariadb-embedded-devel-3:10.5.13-1.module+el8.5.0+14125+d11efe18.i686
    - mariadb-errmsg-3:10.5.13-1.module+el8.5.0+14125+d11efe18.i686
    - mariadb-gssapi-server-3:10.5.13-1.module+el8.5.0+14125+d11efe18.i686
    - mariadb-oqgraph-engine-3:10.5.13-1.module+el8.5.0+14125+d11efe18.i686
    - mariadb-pam-3:10.5.13-1.module+el8.5.0+14125+d11efe18.i686
    - mariadb-server-3:10.5.13-1.module+el8.5.0+14125+d11efe18.i686
    - mariadb-server-galera-3:10.5.13-1.module+el8.5.0+14125+d11efe18.i686
    - mariadb-server-utils-3:10.5.13-1.module+el8.5.0+14125+d11efe18.i686
    - mariadb-test-3:10.5.13-1.module+el8.5.0+14125+d11efe18.i686
...
---
document: modulemd
version: 2
data:
  name: nginx
  stream: "1.20"
  version: 20220203100758
  context: c56d11ed
  arch: i686
  summary: nginx webserver
  description: >-
    nginx 1.20 webserver module
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    documentation: http://nginx.org/en/docs/
    tracker: https://trac.nginx.org/nginx/
  profiles:
    common:
      rpms:
      - nginx
      - nginx-all-modules
      - nginx-filesystem
      - nginx-mod-http-image-filter
      - nginx-mod-http-perl
      - nginx-mod-http-xslt-filter
      - nginx-mod-mail
      - nginx-mod-stream
  api:
    rpms:
    - nginx
    - nginx-all-modules
    - nginx-filesystem
    - nginx-mod-http-image-filter
    - nginx-mod-http-perl
    - nginx-mod-http-xslt-filter
    - nginx-mod-mail
    - nginx-mod-stream
  components:
    rpms:
      nginx:
        rationale: Module API.
        ref: stream-1.20-rhel-8.5.0
  artifacts:
    rpms:
    - nginx-1:1.20.1-1.module+el8.5.0+13723+ab304644.i686
    - nginx-mod-http-image-filter-1:1.20.1-1.module+el8.5.0+13723+ab304644.i686
    - nginx-mod-http-perl-1:1.20.1-1.module+el8.5.0+13723+ab304644.i686
    - nginx-mod-http-xslt-filter-1:1.20.1-1.module+el8.5.0+13723+ab304644.i686
    - nginx-mod-mail-1:1.20.1-1.module+el8.5.0+13723+ab304644.i686
    - nginx-mod-stream-1:1.20.1-1.module+el8.5.0+13723+ab304644.i686
...
---
document: modulemd
version: 2
data:
  name: nodejs
  stream: "14"
  version: 20220203122336
  context: c56d11ed
  arch: i686
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bootstrap 1
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: stream-14-rhel-8.4.0
        buildorder: 100
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: stream-14-rhel-8.4.0
        buildorder: 200
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: stream-14-rhel-8.4.0
        buildorder: 10
  artifacts:
    rpms:
    - nodejs-1:14.18.2-2.module+el8.5.0+13644+8d46dafd.i686
    - nodejs-devel-1:14.18.2-2.module+el8.5.0+13644+8d46dafd.i686
    - nodejs-docs-1:14.18.2-2.module+el8.5.0+13644+8d46dafd.noarch
    - nodejs-full-i18n-1:14.18.2-2.module+el8.5.0+13644+8d46dafd.i686
    - nodejs-nodemon-0:2.0.15-1.module+el8.5.0+13504+a2e74d91.noarch
    - nodejs-packaging-0:23-3.module+el8.3.0+6519+9f98ed83.noarch
    - npm-1:6.14.15-1.14.18.2.2.module+el8.5.0+13644+8d46dafd.i686
...
---
document: modulemd
version: 2
data:
  name: nodejs
  stream: "16"
  version: 20211217095956
  context: c56d11ed
  arch: i686
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bootstrap 1
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: stream-16-rhel-8.5.0
        buildorder: 100
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: stream-16-rhel-8.5.0
        buildorder: 200
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: stream-16-rhel-8.5.0
        buildorder: 10
  artifacts:
    rpms:
    - nodejs-1:16.13.1-3.module+el8.5.0+13548+45d748af.i686
    - nodejs-devel-1:16.13.1-3.module+el8.5.0+13548+45d748af.i686
    - nodejs-docs-1:16.13.1-3.module+el8.5.0+13548+45d748af.noarch
    - nodejs-full-i18n-1:16.13.1-3.module+el8.5.0+13548+45d748af.i686
    - nodejs-nodemon-0:2.0.15-1.module+el8.5.0+13548+45d748af.noarch
    - nodejs-packaging-0:25-1.module+el8.5.0+10992+fac5fe06.noarch
    - npm-1:8.1.2-1.16.13.1.3.module+el8.5.0+13548+45d748af.i686
...
---
document: modulemd
version: 2
data:
  name: parfait
  stream: "0.5"
  version: 20220128093840
  context: 678d022b
  arch: i686
  summary: Parfait Module
  description: >-
    Parfait is a Java performance monitoring library that exposes and collects metrics
    through a variety of outputs.  It provides APIs for extracting performance metrics
    from the JVM and other sources. It interfaces to Performance Co-Pilot (PCP) using
    the Memory Mapped Value (MMV) machinery for extremely lightweight instrumentation.
  license:
    module:
    - ASL 2.0
  dependencies:
  - buildrequires:
      javapackages-tools: [201801]
      pki-deps: [10.6]
      platform: [el8]
    requires:
      javapackages-runtime: [201801]
      pki-deps: [10.6]
      platform: [el8]
  profiles:
    common:
      rpms:
      - parfait
      - parfait-examples
      - pcp-parfait-agent
  api:
    rpms:
    - parfait
    - parfait-examples
    - pcp-parfait-agent
  components:
    rpms:
      log4j12:
        rationale: Needed as a runtime dep for parfait.
        ref: stream-javapackages-tools-201801-rhel-8.2.0
        buildorder: 80
      parfait:
        rationale: Main Parfait Package
        ref: stream-0.5-rhel-8.2.0
        buildorder: 70
      si-units:
        rationale: A library of SI quantities and unit types (JSR 363).
        ref: stream-0.5-rhel-8.2.0
        buildorder: 50
      unit-api:
        rationale: "The Unit of Measurement library provides a set of Java language
          programming interfaces for handling units and quantities. The interfaces
          provide a layer which separates client code, which would call the API, from
          library code, which implements the API.\nThe specification contains Interfaces
          and abstract classes with methods for unit operations:\n\n  * Checking of
          unit compatibility\n  * Expression of a quantity in various units\n  * Arithmetic
          operations on units"
        ref: stream-0.5-rhel-8.2.0
        buildorder: 10
      uom-lib:
        rationale: Units of Measurement Libraries - extending and complementing JSR
          363.
        ref: stream-0.5-rhel-8.2.0
        buildorder: 30
      uom-parent:
        rationale: Main parent POM for all Units of Measurement Maven projects.
        ref: stream-0.5-rhel-8.2.0
        buildorder: 20
      uom-se:
        rationale: This package contains documentation for the Units Standard (JSR
          363) Java SE 8 Implementation.
        ref: stream-0.5-rhel-8.2.0
        buildorder: 40
      uom-systems:
        rationale: Units of Measurement Systems - modules for JSR 363.
        ref: stream-0.5-rhel-8.2.0
        buildorder: 60
  artifacts:
    rpms:
    - log4j12-0:1.2.17-22.module+el8+2463+615f6896.noarch
    - log4j12-javadoc-0:1.2.17-22.module+el8+2463+615f6896.noarch
    - parfait-0:0.5.4-2.module+el8+2463+615f6896.noarch
    - parfait-0:0.5.4-4.module+el8.5.0+13988+de2b8c0b.noarch
    - parfait-examples-0:0.5.4-2.module+el8+2463+615f6896.noarch
    - parfait-examples-0:0.5.4-4.module+el8.5.0+13988+de2b8c0b.noarch
    - parfait-javadoc-0:0.5.4-2.module+el8+2463+615f6896.noarch
    - parfait-javadoc-0:0.5.4-4.module+el8.5.0+13988+de2b8c0b.noarch
    - pcp-parfait-agent-0:0.5.4-2.module+el8+2463+615f6896.noarch
    - pcp-parfait-agent-0:0.5.4-4.module+el8.5.0+13988+de2b8c0b.noarch
    - si-units-0:0.6.5-2.module+el8+2463+615f6896.noarch
    - si-units-javadoc-0:0.6.5-2.module+el8+2463+615f6896.noarch
    - unit-api-0:1.0-5.module+el8+2463+615f6896.noarch
    - unit-api-javadoc-0:1.0-5.module+el8+2463+615f6896.noarch
    - uom-lib-0:1.0.1-6.module+el8+2463+615f6896.noarch
    - uom-lib-javadoc-0:1.0.1-6.module+el8+2463+615f6896.noarch
    - uom-parent-0:1.0.3-3.module+el8+2463+615f6896.noarch
    - uom-se-0:1.0.4-3.module+el8+2463+615f6896.noarch
    - uom-se-javadoc-0:1.0.4-3.module+el8+2463+615f6896.noarch
    - uom-systems-0:0.7-1.module+el8+2463+615f6896.noarch
    - uom-systems-javadoc-0:0.7-1.module+el8+2463+615f6896.noarch
...
---
document: modulemd
version: 2
data:
  name: pki-core
  stream: "10.6"
  version: 20220203094112
  context: 61c69da8
  arch: i686
  summary: PKI Core module for PKI 10.6 or later
  description: >-
    A module for PKI Core packages for PKI version 10.6 or later.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      golang-ecosystem: [1.0]
      pki-deps: [10.6]
      platform: [el8]
    requires:
      pki-deps: [10.6]
      platform: [el8]
  references:
    community: https://www.dogtagpki.org
    documentation: https://www.dogtagpki.org
    tracker: https://github.com/dogtagpki/pki/issues
  components:
    rpms:
      jss:
        rationale: JSS packages
        ref: stream-pki-10.6-rhel-8.5.0
      ldapjdk:
        rationale: LDAP JDK packages
        ref: stream-pki-10.6-rhel-8.5.0
        buildorder: 1
      pki-core:
        rationale: PKI Core packages
        ref: stream-pki-10.6-rhel-8.5.0
        buildorder: 2
      tomcatjss:
        rationale: TomcatJSS packages
        ref: stream-pki-10.6-rhel-8.5.0
        buildorder: 1
  artifacts:
    rpms:
    - ldapjdk-0:4.23.0-1.module+el8.5.0+11983+6ba118b4.noarch
    - ldapjdk-javadoc-0:4.23.0-1.module+el8.5.0+11983+6ba118b4.noarch
    - pki-acme-0:10.11.2-4.module+el8.5.0+13827+5b1d191d.noarch
    - pki-base-0:10.11.2-4.module+el8.5.0+13827+5b1d191d.noarch
    - pki-base-java-0:10.11.2-4.module+el8.5.0+13827+5b1d191d.noarch
    - pki-ca-0:10.11.2-4.module+el8.5.0+13827+5b1d191d.noarch
    - pki-kra-0:10.11.2-4.module+el8.5.0+13827+5b1d191d.noarch
    - pki-server-0:10.11.2-4.module+el8.5.0+13827+5b1d191d.noarch
    - python3-pki-0:10.11.2-4.module+el8.5.0+13827+5b1d191d.noarch
    - tomcatjss-0:7.7.0-1.module+el8.5.0+11983+6ba118b4.noarch
...
---
document: modulemd
version: 2
data:
  name: pki-core
  stream: "10.6"
  version: 20220428210852
  context: 61c69da8
  arch: i686
  summary: PKI Core module for PKI 10.6 or later
  description: >-
    A module for PKI Core packages for PKI version 10.6 or later.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      golang-ecosystem: [1.0]
      pki-deps: [10.6]
      platform: [el8]
    requires:
      pki-deps: [10.6]
      platform: [el8]
  references:
    community: https://www.dogtagpki.org
    documentation: https://www.dogtagpki.org
    tracker: https://github.com/dogtagpki/pki/issues
  components:
    rpms:
      jss:
        rationale: JSS packages
        ref: stream-pki-10.6-rhel-8.5.0
      ldapjdk:
        rationale: LDAP JDK packages
        ref: stream-pki-10.6-rhel-8.5.0
        buildorder: 1
      pki-core:
        rationale: PKI Core packages
        ref: stream-pki-10.6-rhel-8.5.0
        buildorder: 2
      tomcatjss:
        rationale: TomcatJSS packages
        ref: stream-pki-10.6-rhel-8.5.0
        buildorder: 1
  artifacts:
    rpms:
    - ldapjdk-0:4.23.0-1.module+el8.5.0+11983+6ba118b4.noarch
    - ldapjdk-javadoc-0:4.23.0-1.module+el8.5.0+11983+6ba118b4.noarch
    - pki-acme-0:10.11.2-5.module+el8.5.0+14437+bc030dcc.noarch
    - pki-base-0:10.11.2-5.module+el8.5.0+14437+bc030dcc.noarch
    - pki-base-java-0:10.11.2-5.module+el8.5.0+14437+bc030dcc.noarch
    - pki-ca-0:10.11.2-5.module+el8.5.0+14437+bc030dcc.noarch
    - pki-kra-0:10.11.2-5.module+el8.5.0+14437+bc030dcc.noarch
    - pki-server-0:10.11.2-5.module+el8.5.0+14437+bc030dcc.noarch
    - python3-pki-0:10.11.2-5.module+el8.5.0+14437+bc030dcc.noarch
    - tomcatjss-0:7.7.0-1.module+el8.5.0+11983+6ba118b4.noarch
...
---
document: modulemd
version: 2
data:
  name: postgresql
  stream: "12"
  version: 20211225100834
  context: c56d11ed
  arch: i686
  summary: PostgreSQL server and client module
  description: >-
    PostgreSQL is an advanced Object-Relational database management system (DBMS).
    The postgresql-server package contains the programs needed to create and run a
    PostgreSQL server, which will in turn allow you to create and maintain PostgreSQL
    databases. The base postgresql package contains the client programs that you'll
    need to access a PostgreSQL DBMS server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: https://www.postgresql.org
    documentation: https://www.postgresql.org/docs/12/index.html
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - postgresql
    server:
      rpms:
      - postgresql-server
  api:
    rpms:
    - postgresql
    - postgresql-server
  components:
    rpms:
      pg_repack:
        rationale: pg_repack extension
        ref: stream-12-rhel-8.5.0
        buildorder: 1
      pgaudit:
        rationale: pgaudit extension
        ref: stream-12-rhel-8.5.0
        buildorder: 1
      postgres-decoderbufs:
        rationale: postgres-decoderbufs extension
        ref: stream-12-rhel-8.5.0
        buildorder: 1
      postgresql:
        rationale: Module API.
        ref: stream-12-rhel-8.5.0
  artifacts:
    rpms:
    - pg_repack-0:1.4.6-3.module+el8.5.0+11354+78b3c9c5.i686
    - pgaudit-0:1.4.0-5.module+el8.5.0+11354+78b3c9c5.i686
    - postgres-decoderbufs-0:0.10.0-2.module+el8.5.0+11354+78b3c9c5.i686
    - postgresql-0:12.9-1.module+el8.5.0+13373+4554acc4.i686
    - postgresql-contrib-0:12.9-1.module+el8.5.0+13373+4554acc4.i686
    - postgresql-docs-0:12.9-1.module+el8.5.0+13373+4554acc4.i686
    - postgresql-plperl-0:12.9-1.module+el8.5.0+13373+4554acc4.i686
    - postgresql-plpython3-0:12.9-1.module+el8.5.0+13373+4554acc4.i686
    - postgresql-pltcl-0:12.9-1.module+el8.5.0+13373+4554acc4.i686
    - postgresql-server-0:12.9-1.module+el8.5.0+13373+4554acc4.i686
    - postgresql-server-devel-0:12.9-1.module+el8.5.0+13373+4554acc4.i686
    - postgresql-static-0:12.9-1.module+el8.5.0+13373+4554acc4.i686
    - postgresql-test-0:12.9-1.module+el8.5.0+13373+4554acc4.i686
    - postgresql-test-rpm-macros-0:12.9-1.module+el8.5.0+13373+4554acc4.noarch
    - postgresql-upgrade-0:12.9-1.module+el8.5.0+13373+4554acc4.i686
    - postgresql-upgrade-devel-0:12.9-1.module+el8.5.0+13373+4554acc4.i686
...
---
document: modulemd
version: 2
data:
  name: postgresql
  stream: "13"
  version: 20211225100836
  context: c56d11ed
  arch: i686
  summary: PostgreSQL server and client module
  description: >-
    PostgreSQL is an advanced Object-Relational database management system (DBMS).
    The postgresql-server package contains the programs needed to create and run a
    PostgreSQL server, which will in turn allow you to create and maintain PostgreSQL
    databases. The base postgresql package contains the client programs that you'll
    need to access a PostgreSQL DBMS server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: https://www.postgresql.org
    documentation: https://www.postgresql.org/docs/13/index.html
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - postgresql
    server:
      rpms:
      - postgresql-server
  api:
    rpms:
    - postgresql
    - postgresql-server
  components:
    rpms:
      pg_repack:
        rationale: pg_repack extension
        ref: stream-13-rhel-8.5.0
        buildorder: 1
      pgaudit:
        rationale: pgaudit extension
        ref: stream-13-rhel-8.5.0
        buildorder: 1
      postgres-decoderbufs:
        rationale: postgres-decoderbufs extension
        ref: stream-13-rhel-8.5.0
        buildorder: 1
      postgresql:
        rationale: Module API.
        ref: stream-13-rhel-8.5.0
  artifacts:
    rpms:
    - pg_repack-0:1.4.6-3.module+el8.5.0+11357+bcc62552.i686
    - pgaudit-0:1.5.0-1.module+el8.4.0+8873+b821c30a.i686
    - postgresql-0:13.5-1.module+el8.5.0+13344+8c0fd184.i686
    - postgresql-contrib-0:13.5-1.module+el8.5.0+13344+8c0fd184.i686
    - postgresql-docs-0:13.5-1.module+el8.5.0+13344+8c0fd184.i686
    - postgresql-plperl-0:13.5-1.module+el8.5.0+13344+8c0fd184.i686
    - postgresql-plpython3-0:13.5-1.module+el8.5.0+13344+8c0fd184.i686
    - postgresql-pltcl-0:13.5-1.module+el8.5.0+13344+8c0fd184.i686
    - postgresql-server-0:13.5-1.module+el8.5.0+13344+8c0fd184.i686
    - postgresql-server-devel-0:13.5-1.module+el8.5.0+13344+8c0fd184.i686
    - postgresql-static-0:13.5-1.module+el8.5.0+13344+8c0fd184.i686
    - postgresql-test-0:13.5-1.module+el8.5.0+13344+8c0fd184.i686
    - postgresql-test-rpm-macros-0:13.5-1.module+el8.5.0+13344+8c0fd184.noarch
    - postgresql-upgrade-0:13.5-1.module+el8.5.0+13344+8c0fd184.i686
    - postgresql-upgrade-devel-0:13.5-1.module+el8.5.0+13344+8c0fd184.i686
...
---
document: modulemd
version: 2
data:
  name: ruby
  stream: "2.5"
  version: 20220218180030
  context: c56d11ed
  arch: i686
  summary: An interpreter of object-oriented scripting language
  description: >-
    Ruby is the interpreted scripting language for quick and easy object-oriented
    programming.  It has many features to process text files and to do system management
    tasks (as in Perl).  It is simple, straight-forward, and extensible.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://ruby-lang.org/
    documentation: https://www.ruby-lang.org/en/documentation/
    tracker: https://bugs.ruby-lang.org/
  profiles:
    common:
      rpms:
      - ruby
  api:
    rpms:
    - ruby
    - ruby-devel
    - ruby-irb
    - ruby-libs
    - rubygem-abrt
    - rubygem-bigdecimal
    - rubygem-bson
    - rubygem-bundler
    - rubygem-did_you_mean
    - rubygem-io-console
    - rubygem-json
    - rubygem-minitest
    - rubygem-mongo
    - rubygem-mysql2
    - rubygem-net-telnet
    - rubygem-openssl
    - rubygem-pg
    - rubygem-power_assert
    - rubygem-psych
    - rubygem-rake
    - rubygem-rdoc
    - rubygem-test-unit
    - rubygem-xmlrpc
    - rubygems
    - rubygems-devel
  buildopts:
    rpms:
      macros: >
        %_without_rubypick 1
  components:
    rpms:
      ruby:
        rationale: An interpreter of object-oriented scripting language
        ref: stream-ruby-2.5-rhel-8.3.0
        buildorder: 101
        multilib: [x86_64]
      rubygem-abrt:
        rationale: ABRT support for Ruby
        ref: stream-ruby-2.5-rhel-8.3.0
        buildorder: 102
      rubygem-bson:
        rationale: Ruby Implementation of the BSON specification
        ref: stream-ruby-2.5-rhel-8.3.0
        buildorder: 102
      rubygem-bundler:
        rationale: Library and utilities to manage a Ruby application's gem dependencies
        ref: stream-ruby-2.5-rhel-8.3.0
        buildorder: 102
      rubygem-mongo:
        rationale: Ruby driver for MongoDB
        ref: stream-ruby-2.5-rhel-8.3.0
        buildorder: 103
      rubygem-mysql2:
        rationale: A simple, fast Mysql library for Ruby, binding to libmysql
        ref: stream-ruby-2.5-rhel-8.3.0
        buildorder: 102
      rubygem-pg:
        rationale: A Ruby interface to the PostgreSQL RDBMS
        ref: stream-ruby-2.5-rhel-8.3.0
        buildorder: 102
  artifacts:
    rpms:
    - ruby-0:2.5.9-107.module+el8.5.0+13840+ec418553.i686
    - ruby-devel-0:2.5.9-107.module+el8.5.0+13840+ec418553.i686
    - ruby-doc-0:2.5.9-107.module+el8.5.0+13840+ec418553.noarch
    - ruby-irb-0:2.5.9-107.module+el8.5.0+13840+ec418553.noarch
    - ruby-libs-0:2.5.9-107.module+el8.5.0+13840+ec418553.i686
    - rubygem-abrt-0:0.3.0-4.module+el8.1.0+3656+f80bfa1d.noarch
    - rubygem-abrt-doc-0:0.3.0-4.module+el8.1.0+3656+f80bfa1d.noarch
    - rubygem-bigdecimal-0:1.3.4-107.module+el8.5.0+13840+ec418553.i686
    - rubygem-bson-0:4.3.0-2.module+el8.1.0+3656+f80bfa1d.i686
    - rubygem-bson-doc-0:4.3.0-2.module+el8.1.0+3656+f80bfa1d.noarch
    - rubygem-bundler-0:1.16.1-4.module+el8.5.0+13840+ec418553.noarch
    - rubygem-bundler-doc-0:1.16.1-4.module+el8.5.0+13840+ec418553.noarch
    - rubygem-did_you_mean-0:1.2.0-107.module+el8.5.0+13840+ec418553.noarch
    - rubygem-io-console-0:0.4.6-107.module+el8.5.0+13840+ec418553.i686
    - rubygem-json-0:2.1.0-107.module+el8.5.0+13840+ec418553.i686
    - rubygem-minitest-0:5.10.3-107.module+el8.5.0+13840+ec418553.noarch
    - rubygem-mongo-0:2.5.1-2.module+el8.1.0+3656+f80bfa1d.noarch
    - rubygem-mongo-doc-0:2.5.1-2.module+el8.1.0+3656+f80bfa1d.noarch
    - rubygem-mysql2-0:0.4.10-4.module+el8.1.0+3656+f80bfa1d.i686
    - rubygem-mysql2-doc-0:0.4.10-4.module+el8.1.0+3656+f80bfa1d.noarch
    - rubygem-net-telnet-0:0.1.1-107.module+el8.5.0+13840+ec418553.noarch
    - rubygem-openssl-0:2.1.2-107.module+el8.5.0+13840+ec418553.i686
    - rubygem-pg-0:1.0.0-2.module+el8.1.0+3656+f80bfa1d.i686
    - rubygem-pg-doc-0:1.0.0-2.module+el8.1.0+3656+f80bfa1d.noarch
    - rubygem-power_assert-0:1.1.1-107.module+el8.5.0+13840+ec418553.noarch
    - rubygem-psych-0:3.0.2-107.module+el8.5.0+13840+ec418553.i686
    - rubygem-rake-0:12.3.3-107.module+el8.5.0+13840+ec418553.noarch
    - rubygem-rdoc-0:6.0.1.1-107.module+el8.5.0+13840+ec418553.noarch
    - rubygem-test-unit-0:3.2.7-107.module+el8.5.0+13840+ec418553.noarch
    - rubygem-xmlrpc-0:0.3.0-107.module+el8.5.0+13840+ec418553.noarch
    - rubygems-0:2.7.6.3-107.module+el8.5.0+13840+ec418553.noarch
    - rubygems-devel-0:2.7.6.3-107.module+el8.5.0+13840+ec418553.noarch
...
---
document: modulemd
version: 2
data:
  name: ruby
  stream: "2.5"
  version: 20220302222743
  context: c56d11ed
  arch: i686
  summary: An interpreter of object-oriented scripting language
  description: >-
    Ruby is the interpreted scripting language for quick and easy object-oriented
    programming.  It has many features to process text files and to do system management
    tasks (as in Perl).  It is simple, straight-forward, and extensible.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://ruby-lang.org/
    documentation: https://www.ruby-lang.org/en/documentation/
    tracker: https://bugs.ruby-lang.org/
  profiles:
    common:
      rpms:
      - ruby
  api:
    rpms:
    - ruby
    - ruby-devel
    - ruby-irb
    - ruby-libs
    - rubygem-abrt
    - rubygem-bigdecimal
    - rubygem-bson
    - rubygem-bundler
    - rubygem-did_you_mean
    - rubygem-io-console
    - rubygem-json
    - rubygem-minitest
    - rubygem-mongo
    - rubygem-mysql2
    - rubygem-net-telnet
    - rubygem-openssl
    - rubygem-pg
    - rubygem-power_assert
    - rubygem-psych
    - rubygem-rake
    - rubygem-rdoc
    - rubygem-test-unit
    - rubygem-xmlrpc
    - rubygems
    - rubygems-devel
  buildopts:
    rpms:
      macros: >
        %_without_rubypick 1
  components:
    rpms:
      ruby:
        rationale: An interpreter of object-oriented scripting language
        ref: stream-ruby-2.5-rhel-8.3.0
        buildorder: 101
        multilib: [x86_64]
      rubygem-abrt:
        rationale: ABRT support for Ruby
        ref: stream-ruby-2.5-rhel-8.3.0
        buildorder: 102
      rubygem-bson:
        rationale: Ruby Implementation of the BSON specification
        ref: stream-ruby-2.5-rhel-8.3.0
        buildorder: 102
      rubygem-bundler:
        rationale: Library and utilities to manage a Ruby application's gem dependencies
        ref: stream-ruby-2.5-rhel-8.3.0
        buildorder: 102
      rubygem-mongo:
        rationale: Ruby driver for MongoDB
        ref: stream-ruby-2.5-rhel-8.3.0
        buildorder: 103
      rubygem-mysql2:
        rationale: A simple, fast Mysql library for Ruby, binding to libmysql
        ref: stream-ruby-2.5-rhel-8.3.0
        buildorder: 102
      rubygem-pg:
        rationale: A Ruby interface to the PostgreSQL RDBMS
        ref: stream-ruby-2.5-rhel-8.3.0
        buildorder: 102
  artifacts:
    rpms:
    - ruby-0:2.5.9-109.module+el8.5.0+14275+d9c243ca.i686
    - ruby-devel-0:2.5.9-109.module+el8.5.0+14275+d9c243ca.i686
    - ruby-doc-0:2.5.9-109.module+el8.5.0+14275+d9c243ca.noarch
    - ruby-irb-0:2.5.9-109.module+el8.5.0+14275+d9c243ca.noarch
    - ruby-libs-0:2.5.9-109.module+el8.5.0+14275+d9c243ca.i686
    - rubygem-abrt-0:0.3.0-4.module+el8.1.0+3656+f80bfa1d.noarch
    - rubygem-abrt-doc-0:0.3.0-4.module+el8.1.0+3656+f80bfa1d.noarch
    - rubygem-bigdecimal-0:1.3.4-109.module+el8.5.0+14275+d9c243ca.i686
    - rubygem-bson-0:4.3.0-2.module+el8.1.0+3656+f80bfa1d.i686
    - rubygem-bson-doc-0:4.3.0-2.module+el8.1.0+3656+f80bfa1d.noarch
    - rubygem-bundler-0:1.16.1-4.module+el8.5.0+13840+ec418553.noarch
    - rubygem-bundler-doc-0:1.16.1-4.module+el8.5.0+13840+ec418553.noarch
    - rubygem-did_you_mean-0:1.2.0-109.module+el8.5.0+14275+d9c243ca.noarch
    - rubygem-io-console-0:0.4.6-109.module+el8.5.0+14275+d9c243ca.i686
    - rubygem-json-0:2.1.0-109.module+el8.5.0+14275+d9c243ca.i686
    - rubygem-minitest-0:5.10.3-109.module+el8.5.0+14275+d9c243ca.noarch
    - rubygem-mongo-0:2.5.1-2.module+el8.1.0+3656+f80bfa1d.noarch
    - rubygem-mongo-doc-0:2.5.1-2.module+el8.1.0+3656+f80bfa1d.noarch
    - rubygem-mysql2-0:0.4.10-4.module+el8.1.0+3656+f80bfa1d.i686
    - rubygem-mysql2-doc-0:0.4.10-4.module+el8.1.0+3656+f80bfa1d.noarch
    - rubygem-net-telnet-0:0.1.1-109.module+el8.5.0+14275+d9c243ca.noarch
    - rubygem-openssl-0:2.1.2-109.module+el8.5.0+14275+d9c243ca.i686
    - rubygem-pg-0:1.0.0-2.module+el8.1.0+3656+f80bfa1d.i686
    - rubygem-pg-doc-0:1.0.0-2.module+el8.1.0+3656+f80bfa1d.noarch
    - rubygem-power_assert-0:1.1.1-109.module+el8.5.0+14275+d9c243ca.noarch
    - rubygem-psych-0:3.0.2-109.module+el8.5.0+14275+d9c243ca.i686
    - rubygem-rake-0:12.3.3-109.module+el8.5.0+14275+d9c243ca.noarch
    - rubygem-rdoc-0:6.0.1.1-109.module+el8.5.0+14275+d9c243ca.noarch
    - rubygem-test-unit-0:3.2.7-109.module+el8.5.0+14275+d9c243ca.noarch
    - rubygem-xmlrpc-0:0.3.0-109.module+el8.5.0+14275+d9c243ca.noarch
    - rubygems-0:2.7.6.3-109.module+el8.5.0+14275+d9c243ca.noarch
    - rubygems-devel-0:2.7.6.3-109.module+el8.5.0+14275+d9c243ca.noarch
...
---
document: modulemd
version: 2
data:
  name: ruby
  stream: "2.6"
  version: 20220218180842
  context: c56d11ed
  arch: i686
  summary: An interpreter of object-oriented scripting language
  description: >-
    Ruby is the interpreted scripting language for quick and easy object-oriented
    programming.  It has many features to process text files and to do system management
    tasks (as in Perl).  It is simple, straight-forward, and extensible.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://ruby-lang.org/
    documentation: https://www.ruby-lang.org/en/documentation/
    tracker: https://bugs.ruby-lang.org/
  profiles:
    common:
      rpms:
      - ruby
  api:
    rpms:
    - ruby
    - ruby-devel
    - ruby-libs
    - rubygem-abrt
    - rubygem-bigdecimal
    - rubygem-bson
    - rubygem-bundler
    - rubygem-did_you_mean
    - rubygem-io-console
    - rubygem-irb
    - rubygem-json
    - rubygem-minitest
    - rubygem-mongo
    - rubygem-mysql2
    - rubygem-net-telnet
    - rubygem-openssl
    - rubygem-pg
    - rubygem-power_assert
    - rubygem-psych
    - rubygem-rake
    - rubygem-rdoc
    - rubygem-test-unit
    - rubygem-xmlrpc
    - rubygems
    - rubygems-devel
  buildopts:
    rpms:
      macros: >
        %_without_rubypick 1
  components:
    rpms:
      ruby:
        rationale: An interpreter of object-oriented scripting language
        ref: stream-ruby-2.6-rhel-8.1.0
        buildorder: 101
        multilib: [x86_64]
      rubygem-abrt:
        rationale: ABRT support for Ruby
        ref: stream-ruby-2.6-rhel-8.1.0
        buildorder: 102
      rubygem-bson:
        rationale: Ruby Implementation of the BSON specification
        ref: stream-ruby-2.6-rhel-8.1.0
        buildorder: 102
      rubygem-mongo:
        rationale: Ruby driver for MongoDB
        ref: stream-ruby-2.6-rhel-8.1.0
        buildorder: 103
      rubygem-mysql2:
        rationale: A simple, fast Mysql library for Ruby, binding to libmysql
        ref: stream-ruby-2.6-rhel-8.1.0
        buildorder: 102
      rubygem-pg:
        rationale: A Ruby interface to the PostgreSQL RDBMS
        ref: stream-ruby-2.6-rhel-8.1.0
        buildorder: 102
  artifacts:
    rpms:
    - ruby-0:2.6.7-107.module+el8.4.0+10830+bbd85cce.i686
    - ruby-0:2.6.9-108.module+el8.5.0+13719+08a8ba32.i686
    - ruby-devel-0:2.6.7-107.module+el8.4.0+10830+bbd85cce.i686
    - ruby-devel-0:2.6.9-108.module+el8.5.0+13719+08a8ba32.i686
    - ruby-doc-0:2.6.7-107.module+el8.4.0+10830+bbd85cce.noarch
    - ruby-doc-0:2.6.9-108.module+el8.5.0+13719+08a8ba32.noarch
    - ruby-libs-0:2.6.7-107.module+el8.4.0+10830+bbd85cce.i686
    - ruby-libs-0:2.6.9-108.module+el8.5.0+13719+08a8ba32.i686
    - rubygem-abrt-0:0.3.0-4.module+el8.1.0+3653+beb38eb0.noarch
    - rubygem-abrt-doc-0:0.3.0-4.module+el8.1.0+3653+beb38eb0.noarch
    - rubygem-bigdecimal-0:1.4.1-107.module+el8.4.0+10830+bbd85cce.i686
    - rubygem-bigdecimal-0:1.4.1-108.module+el8.5.0+13719+08a8ba32.i686
    - rubygem-bson-0:4.5.0-1.module+el8.1.0+3653+beb38eb0.i686
    - rubygem-bson-doc-0:4.5.0-1.module+el8.1.0+3653+beb38eb0.noarch
    - rubygem-bundler-0:1.17.2-107.module+el8.4.0+10830+bbd85cce.noarch
    - rubygem-bundler-0:1.17.2-108.module+el8.5.0+13719+08a8ba32.noarch
    - rubygem-did_you_mean-0:1.3.0-107.module+el8.4.0+10830+bbd85cce.noarch
    - rubygem-did_you_mean-0:1.3.0-108.module+el8.5.0+13719+08a8ba32.noarch
    - rubygem-io-console-0:0.4.7-107.module+el8.4.0+10830+bbd85cce.i686
    - rubygem-io-console-0:0.4.7-108.module+el8.5.0+13719+08a8ba32.i686
    - rubygem-irb-0:1.0.0-107.module+el8.4.0+10830+bbd85cce.noarch
    - rubygem-irb-0:1.0.0-108.module+el8.5.0+13719+08a8ba32.noarch
    - rubygem-json-0:2.1.0-107.module+el8.4.0+10830+bbd85cce.i686
    - rubygem-json-0:2.1.0-108.module+el8.5.0+13719+08a8ba32.i686
    - rubygem-minitest-0:5.11.3-107.module+el8.4.0+10830+bbd85cce.noarch
    - rubygem-minitest-0:5.11.3-108.module+el8.5.0+13719+08a8ba32.noarch
    - rubygem-mongo-0:2.8.0-1.module+el8.1.0+3653+beb38eb0.noarch
    - rubygem-mongo-doc-0:2.8.0-1.module+el8.1.0+3653+beb38eb0.noarch
    - rubygem-mysql2-0:0.5.2-1.module+el8.1.0+3653+beb38eb0.i686
    - rubygem-mysql2-doc-0:0.5.2-1.module+el8.1.0+3653+beb38eb0.noarch
    - rubygem-net-telnet-0:0.2.0-107.module+el8.4.0+10830+bbd85cce.noarch
    - rubygem-net-telnet-0:0.2.0-108.module+el8.5.0+13719+08a8ba32.noarch
    - rubygem-openssl-0:2.1.2-107.module+el8.4.0+10830+bbd85cce.i686
    - rubygem-openssl-0:2.1.2-108.module+el8.5.0+13719+08a8ba32.i686
    - rubygem-pg-0:1.1.4-1.module+el8.1.0+3653+beb38eb0.i686
    - rubygem-pg-doc-0:1.1.4-1.module+el8.1.0+3653+beb38eb0.noarch
    - rubygem-power_assert-0:1.1.3-107.module+el8.4.0+10830+bbd85cce.noarch
    - rubygem-power_assert-0:1.1.3-108.module+el8.5.0+13719+08a8ba32.noarch
    - rubygem-psych-0:3.1.0-107.module+el8.4.0+10830+bbd85cce.i686
    - rubygem-psych-0:3.1.0-108.module+el8.5.0+13719+08a8ba32.i686
    - rubygem-rake-0:12.3.3-107.module+el8.4.0+10830+bbd85cce.noarch
    - rubygem-rake-0:12.3.3-108.module+el8.5.0+13719+08a8ba32.noarch
    - rubygem-rdoc-0:6.1.2-107.module+el8.4.0+10830+bbd85cce.noarch
    - rubygem-rdoc-0:6.1.2.1-108.module+el8.5.0+13719+08a8ba32.noarch
    - rubygem-test-unit-0:3.2.9-107.module+el8.4.0+10830+bbd85cce.noarch
    - rubygem-test-unit-0:3.2.9-108.module+el8.5.0+13719+08a8ba32.noarch
    - rubygem-xmlrpc-0:0.3.0-107.module+el8.4.0+10830+bbd85cce.noarch
    - rubygem-xmlrpc-0:0.3.0-108.module+el8.5.0+13719+08a8ba32.noarch
    - rubygems-0:3.0.3.1-107.module+el8.4.0+10830+bbd85cce.noarch
    - rubygems-0:3.0.3.1-108.module+el8.5.0+13719+08a8ba32.noarch
    - rubygems-devel-0:3.0.3.1-107.module+el8.4.0+10830+bbd85cce.noarch
    - rubygems-devel-0:3.0.3.1-108.module+el8.5.0+13719+08a8ba32.noarch
...
---
document: modulemd
version: 2
data:
  name: varnish
  stream: "6"
  version: 20220209171931
  context: c56d11ed
  arch: i686
  summary: Varnish HTTP cache
  description: >-
    Varnish Cache web application accelerator
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    documentation: http://varnish-cache.org/docs/
    tracker: https://github.com/varnishcache/varnish-cache/issues
  profiles:
    common:
      rpms:
      - varnish
      - varnish-modules
  api:
    rpms:
    - varnish
    - varnish-modules
  buildopts:
    rpms:
      macros: >
        %_without_python2 1

        %_with_python3 1
  components:
    rpms:
      varnish:
        rationale: Module API.
        ref: stream-6-rhel-8.5.0
      varnish-modules:
        rationale: Extension modules.
        ref: stream-6-rhel-8.5.0
        buildorder: 1
  artifacts:
    rpms:
    - varnish-0:6.0.8-1.module+el8.5.0+14089+03a0c2cc.1.i686
    - varnish-devel-0:6.0.8-1.module+el8.5.0+14089+03a0c2cc.1.i686
    - varnish-docs-0:6.0.8-1.module+el8.5.0+14089+03a0c2cc.1.i686
...
